Bug 981863 - Review Request: dateformat - A simple way to format dates and times according to a user-specified mask
Review Request: dateformat - A simple way to format dates and times according...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 977118
  Show dependency treegraph
 
Reported: 2013-07-06 09:21 EDT by Jamie Nguyen
Modified: 2013-07-17 17:33 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-17 17:33:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tom: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jamie Nguyen 2013-07-06 09:21:16 EDT
Spec URL: http://jamielinux.fedorapeople.org/grunt/dateformat.spec
SRPM URL: http://jamielinux.fedorapeople.org/grunt/SRPMS/dateformat-1.2.3-1.fc19.src.rpm
Fedora Account System Username: jamielinux

Description:
A simple way to format dates and times according to a user-specified mask.
 * Accepts a date, a mask, or a date and a mask.
 * Returns a formatted version of the given date.
 * The date defaults to the current date/time.
Comment 1 Tom Hughes 2013-07-06 09:29:17 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

[!]: Package complies to the Packaging Guidelines

- Should be a noarch package

[!]: Package must own all directories that it creates.

- Needs to own /usr/share/dateformat


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[!]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "MIT/X11 (BSD like)". Detailed output of licensecheck in
     /home/tom/981863-dateformat/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[!]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: dateformat-1.2.3-1.fc20.x86_64.rpm
dateformat.x86_64: E: no-binary
1 packages and 0 specfiles checked; 1 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint dateformat
dateformat.x86_64: E: no-binary
1 packages and 0 specfiles checked; 1 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
dateformat (rpmlib, GLIBC filtered):



Provides
--------
dateformat:
    dateformat
    dateformat(x86-64)



Source checksums
----------------
http://stevenlevithan.com/assets/misc/date.format.js :
  CHECKSUM(SHA256) this package     : 00aa9bf334f2cc56c4e3485e2b8e4f0586f213c2ecdb1024281e532c4a1a94f5
  CHECKSUM(SHA256) upstream package : 00aa9bf334f2cc56c4e3485e2b8e4f0586f213c2ecdb1024281e532c4a1a94f5


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: compton-rawhide-x86_64
Command line :/usr/bin/fedora-review -m compton-rawhide-x86_64 -b 981863
Comment 2 Jamie Nguyen 2013-07-06 09:31:41 EDT
Spec URL: http://jamielinux.fedorapeople.org/grunt/dateformat.spec
SRPM URL: http://jamielinux.fedorapeople.org/grunt/SRPMS/dateformat-1.2.3-2.fc19.src.rpm

* Sat Jul 06 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.2.3-2
- own all directories
- should be noarch
Comment 3 Tom Hughes 2013-07-06 09:36:01 EDT
Looks much better. Package approved.
Comment 4 Jamie Nguyen 2013-07-06 09:40:00 EDT
New Package SCM Request
=======================
Package Name: dateformat
Short Description: A simple way to format dates and times according to a user-specified mask
Owners: jamielinux
Branches: f18 f19 el6
InitialCC:
Comment 5 Gwyn Ciesla 2013-07-06 18:37:21 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.